package com.aiotagro.cattletrade.constant;

import lombok.Getter;

@Getter
public enum WarningStatusEnum {
    /**
     * 预警类型
     */
    NORMAL_COUNT(0, "盘点正常"),
    NORMAL_DISTANCE(1, "距离正常"),
    ABNORMAL_COUNT(2, "主机盘点耳标数量与登记数量不一致"),
    ABNORMAL_DISTANCE(3, "未达到预定行驶距离"),
    DEVICE_STAY(4, "设备停留预警"),
    HIGH_TEMPERATURE(5, "高温预警"),
    LOW_TEMPERATURE(6, "低温预警"),
    POSITION_DEVIATION(7, "位置偏离预警"),
    DELAY_WARNING(8, "延误预警"),
    EARLY_ARRIVAL(9, "超前到达预警");

    private final int value ;
    private final String description ;

    WarningStatusEnum(int value, String desc) {
        this.value = value;
        this.description = desc;
    }
}
